#include "SM_SysPch.h"
/*
#include "MVFSResourcePack.h"
#include "MVFSResource.h"

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
MVFSResourcePack::MVFSResourcePack()
{
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
MVFSResourcePack::~MVFSResourcePack()
{
  Shutdown();
}


// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSResourcePack::Init(char* pcBase)
{
  return (0);
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
int MVFSResourcePack::Shutdown()
{
  return (0);
}



// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
MVFSFILE* MVFSResourcePack::fopen(const char* pcFileName, const char* pcFileAttrib)
{
  // Chequeamos que no haya escritura
  for (int i=0 ; pcFileAttrib[i]!='\0' ; i++)
  {
    if (pcFileAttrib[i]=='W' || pcFileAttrib[i]=='w' || pcFileAttrib[i]=='A' || pcFileAttrib[i]=='a')
    {
      return (NULL);
    }
  }

  // Alocamos file
  MVFSFILEResource* pFile;
  pFile=new MVFSFILEResource;
  if (!pFile)
  {
    return (NULL);
  }

  if (pFile->fopen(pcFileName, pcFileAttrib)!=0)
  {
    delete pFile;
    pFile = 0;
  }    

  return (pFile);
}

int MVFSResourcePack::findfilestart(char* pcPath, char* pcFilter)
{  
  return (m_iFindIterator=-1);
}

int MVFSResourcePack::findfileget(char* pcPath)
{  
  return (0);
}

int MVFSResourcePack::findfileend()
{
  m_iFindIterator=-1;
  return (0);
}
*/